#ifndef __POPULATION__
#define __POPULATION__

#include "individu.h"

/* Le type qui nous intéresse : pointeur sur population */
typedef struct population *population;
struct population{
  individu *genome;
  int taille;
  double fitness;
};

// Juste pour retenir les numéros des parents sélectionnés
typedef int *loterie;

/* Crée une population d'individus aléatoires -- 1ere génération */
population genese(int);

/* Crée une population d'individus */
population creation_population(int);

/* Sélectionne les parents, roue biaisée */
loterie selection_parents(population);

/* Procède à la reproduction au sein de la population */
population nouvelle_generation(population);

/* Détruit la population (libère la mémoire) */
void destruction_population(population);

#endif
